# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name parameterized-data

Name:           ghc-%{pkg_name}
Version:        0.1.5
Release:        13%{?dist}
Summary:        Parameterized data library implementing lightweight dependent types

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         parameterized-data-0.1.5-ghc74-TypeOperators.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-type-level-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
This library provides an implementation of parameterized types using
type-level computations to implement the type parameters and emulate
dependent types.  Right now only fixed-sized vectors are provided. A
tutorial on how to use them can be found at
<http://www.ict.kth.se/forsyde/files/tutorial/tutorial.html#FSVec>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 0.1.5-12
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.1.5-10
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.1.5-8
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.1.5-7
- rebuild

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.1.5-6
- need TypeOperators extension for ghc-7.4

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.1.5-5
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1.5-4.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1.5-4.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.1.5-4.1
- rebuild with new gmp

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.1.5-4
- BR ghc-Cabal-devel and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.1.5-3
- Enable build on sparcv9

* Fri Feb 11 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.1.5-2
- Updated rpm-macros to 0.7.3.

* Sat Sep 25 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.1.5-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.2
- Added BSD to license.

* Wed Apr  07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.1.4-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.1
